# This file was created automatically by SWIG.
import lockc
class LockPtr :
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __del__(self,lockc=lockc):
        if self.thisown == 1 :
            lockc.delete_Lock(self)
    def acquire(self, *_args, **_kwargs):
        val = apply(lockc.Lock_acquire,(self,) + _args, _kwargs)
        return val
    def release(self, *_args, **_kwargs):
        val = apply(lockc.Lock_release,(self,) + _args, _kwargs)
        return val
    def __repr__(self):
        return "<C Lock instance at %s>" % (self.this,)
class Lock(LockPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(lockc.new_Lock,_args,_kwargs)
        self.thisown = 1




class RWLockPtr :
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def __del__(self,lockc=lockc):
        if self.thisown == 1 :
            lockc.delete_RWLock(self)
    def read_acquire(self, *_args, **_kwargs):
        val = apply(lockc.RWLock_read_acquire,(self,) + _args, _kwargs)
        return val
    def read_release(self, *_args, **_kwargs):
        val = apply(lockc.RWLock_read_release,(self,) + _args, _kwargs)
        return val
    def write_acquire(self, *_args, **_kwargs):
        val = apply(lockc.RWLock_write_acquire,(self,) + _args, _kwargs)
        return val
    def write_release(self, *_args, **_kwargs):
        val = apply(lockc.RWLock_write_release,(self,) + _args, _kwargs)
        return val
    def write_pause(self, *_args, **_kwargs):
        val = apply(lockc.RWLock_write_pause,(self,) + _args, _kwargs)
        return val
    def write_resume(self, *_args, **_kwargs):
        val = apply(lockc.RWLock_write_resume,(self,) + _args, _kwargs)
        return val
    def nReaders(self, *_args, **_kwargs):
        val = apply(lockc.RWLock_nReaders,(self,) + _args, _kwargs)
        return val
    def __repr__(self):
        return "<C RWLock instance at %s>" % (self.this,)
class RWLock(RWLockPtr):
    def __init__(self,*_args,**_kwargs):
        self.this = apply(lockc.new_RWLock,_args,_kwargs)
        self.thisown = 1






#-------------- FUNCTION WRAPPERS ------------------

enable_all = lockc.enable_all

disable_all = lockc.disable_all



#-------------- VARIABLE WRAPPERS ------------------



#-------------- USER INCLUDE -----------------------

# -*- python -*-
# $RCSfile: lock_.py,v $
# $Revision: 1.2 $
# $Author: reida $
# $Date: 2005/01/12 18:43:06 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modified
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov. 


# Super-cautious destructors, to avoid complaints at shut-down time.
# Code recommended by SWIG authors in mailing list at
# <http://mailman.cs.uchicago.edu/pipermail/swig/2002-April.txt>,
# look for message with subject: [Swig] Shadow class as a global


def lock_ptr_del(self, destruct=lockc.delete_Lock):
    if getattr(self, 'thisown', 0):
        destruct(self)

LockPtr.__del__ = lock_ptr_del

def rwlock_ptr_del(self, destruct=lockc.delete_RWLock):
    if getattr(self, 'thisown', 0):
        destruct(self)

RWLockPtr.__del__ = rwlock_ptr_del
