# -*- makefile -*- 
# $RCSfile: DIR.mk,v $
# $Revision: 1.21 $
# $Author: redwing $
# $Date: 2005/07/01 17:00:14 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modifed
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov. 

dirname := IO
subdirs := GUI

cfiles := contour.C propertyoutput.C bdyflux.C

swigfiles := contour.swg propertyoutput.swg bdyflux.swg

pyfiles := analyze.py analyzemenu.py anisocijkl.py		      \
boundarycondition.py boundarymenu.py contourdisplay.py		      \
displaymethods.py elementselectdisplay.py isocijkl.py materialmenu.py \
meshIO.py meshbdymenu.py meshcsdisplay.py meshcsparams.py	      \
meshcstoolbox.py meshinfo.py meshinfodisplay.py meshmenu.py	      \
meshparameters.py microstructuredisplay.py movenode.py		      \
movenodedisplay.py nodeselectdisplay.py orientationmatrix.py	      \
outputClones.py outputDefs.py pinnodes.py pinnodesdisplay.py	      \
propertymenu.py segmentselectdisplay.py skeletonIO.py skeletonIPC.py  \
skeletonbdydisplay.py skeletongroupmenu.py skeletongroupparams.py     \
skeletoninfo.py skeletoninfodisplay.py skeletonmenu.py		      \
skeletonselectiontoolbox.py skeletonselectmenu.py solvermenu.py	      \
profileIO.py pinnodesmenu.py materialmenuIPC.py materialparameter.py  \
centerfilldisplay.py subproblemmenu.py problemmanagermenu.py

swigpyfiles := contour_.py propertyoutput_.py

hfiles := contour.h propertyoutput.h

# Don't modify the rest of this
include $(SUBDIR)
